Bug 808602 - SELinux is preventing /usr/libexec/accounts-daemon from 'open' accesses on the file status.
SELinux is preventing /usr/libexec/accounts-daemon from 'open' accesses on th...
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-03-30 15:53 EDT by Vladimir
Modified: 2012-04-04 17:11 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.10.0-110.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-04-04 17:11:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Vladimir 2012-03-30 15:53:33 EDT
libreport version: 2.0.10
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.3.0-8.fc17.x86_64
time:           Пт. 30 марта 2012 23:52:01

:SELinux is preventing /usr/libexec/accounts-daemon from 'open' accesses on the file status.
:*****  Plugin catchall (100. confidence) suggests  ***************************
:If you believe that accounts-daemon should be allowed open access on the status file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:allow this access for now by executing:
:# grep accounts-daemon /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:Additional Information:
:Source Context                system_u:system_r:accountsd_t:s0
:Target Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
:Target Objects                status [ file ]
:Source                        accounts-daemon
:Source Path                   /usr/libexec/accounts-daemon
:Port                          <Неизвестно>
:Host                          (removed)
:Source RPM Packages           accountsservice-0.6.17-1.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-106.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.0-8.fc17.x86_64 #1 SMP Thu Mar
:                              29 18:18:26 UTC 2012 x86_64 x86_64
:Alert Count                   7
:First Seen                    Пт. 30 марта 2012 18:48:14
:Last Seen                     Пт. 30 марта 2012 23:48:31
:Local ID                      a65f19da-34b5-4c05-ba85-e68184b17cef
:Raw Audit Messages
:type=AVC msg=audit(1333136911.585:62): avc:  denied  { open } for  pid=894 comm="accounts-daemon" name="status" dev="proc" ino=20188 scontext=system_u:system_r:accountsd_t:s0 tcontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tclass=file
:type=SYSCALL msg=audit(1333136911.585:62): arch=x86_64 syscall=open success=no exit=EACCES a0=7fffdb7afbb0 a1=0 a2=31c3f46d4c a3=12 items=0 ppid=1 pid=894 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=accounts-daemon exe=/usr/libexec/accounts-daemon subj=system_u:system_r:accountsd_t:s0 key=(null)
:Hash: accounts-daemon,accountsd_t,xdm_t,file,open
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
Comment 1 Daniel Walsh 2012-03-30 16:03:11 EDT
Fixed in selinux-policy-3.10.0-109.fc17
Comment 2 Fedora Update System 2012-04-03 03:44:23 EDT
selinux-policy-3.10.0-110.fc17 has been submitted as an update for Fedora 17.
Comment 3 Fedora Update System 2012-04-04 17:11:09 EDT
selinux-policy-3.10.0-110.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.